Debian Bug report logs - #107437
gs unusable on hppa - help needed

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: Matt Taggart <taggart@carmen.fc.hp.com>

Date: Thu, 2 Aug 2001 02:33:01 UTC

Severity: fixed

Tags: help, upstream

Merged with 128847

Found in version 2.11.92.0.12.3-4

Done: "Christopher C. Chimelis" <chris@debian.org>

Bug is archived. No further changes may be made.

Forwarded to bug-binutils@gnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Filipozzi <lfilipoz@debian.org>:
Bug#107437; Package doxygen. Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@carmen.fc.hp.com>:
New Bug report received and forwarded. Copy sent to Luca Filipozzi <lfilipoz@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@carmen.fc.hp.com>
To: submit@bugs.debian.org
Subject: doxygen won't build on hppa
Date: Wed, 01 Aug 2001 20:19:47 -0600
Package: doxygen
Severity: serious

doxygen won't build on hppa. Here's what happens,

------------------------------------------------------------------------------
...
ps2pdf doxygen_manual.ps doxygen_manual.pdf
Unrecoverable error: rangecheck in setscreen
Operand stack:
    --nostringval--  0  0.0

Unexpected interpreter error -15.
Error object: (f80)op(429:setscreen)0x1d8846
Operand stack at 0x1ae5e0:
0x1f13b0: 0x10 real --F------ 0x0015 0x00000000 = 0.0
0x1f13b8: 0x0b int  --F------ 0x01f0 0x00000000 = 0
0x1f13c0: 0x05 mpry --G-rxe-- 0x0013 0x00287540
Execution stack at 0x1ae580:
0x1f2d18: 0x0f oper --F---e-- 0x0000 0x001d7e06 = %interp_exit
0x1f2d20: 0x03 file --G-rxe-- 0x0001 0x001e91a8
0x1f2d28: 0x05 mpry --G-rxe-- 0x0001 0x00287c7a
0x1f2d30: 0x05 mpry --G-rxe-- 0x0008 0x002875ea
0x1f2d38: 0x0e null --F---e-- 0x0000 0x001d7e0e
0x1f2d40: 0x0b int  --F------ 0x0000 0x00000003 = 3
0x1f2d48: 0x0b int  --F------ 0x0000 0x00000004 = 4
0x1f2d50: 0x0f oper --F---e-- 0x0000 0x001d7e16 = %oparray_pop
0x1f2d58: 0x05 mpry --G-rxe-- 0x0039 0x0023d222
Dictionary stack at 0x1ae638:
0x1f3548: 0x02 dict --Gwrx--- 0xffff 0x001e54f0
0x1f3550: 0x02 dict --Gwrx--- 0x0000 0x0024c3a8
0x1f3558: 0x02 dict --Lwrx--- 0xe4c8 0x001ed4e8
0x1f3560: 0x02 dict --Gwrx--- 0xffff 0x001e54f0
make[2]: *** [doxygen_manual.pdf] Error 241
make[2]: Leaving directory `/extra/debian/doxygen/doxygen-1.2.8.1/debian/tmp/us
r/share/doc/doxygen/latex'
make[1]: *** [install_docs] Error 2
make[1]: Leaving directory `/extra/debian/doxygen/doxygen-1.2.8.1'
make: *** [install] Error 2
------------------------------------------------------------------------------

You can use the hppa machine paer.debian.org to work on this problem.

Thanks,

-- 
Matt Taggart        Linux Development Lab
taggart@fc.hp.com   HP Linux Systems Operation





Bug reassigned from package `doxygen' to `gs'. Request was from lfilipoz@emyr.net (Luca Filipozzi) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#107437; Package gs. Full text and rfc822 format available.

Acknowledgement sent to lfilipoz@emyr.net (Luca Filipozzi):
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #12 received at 107437@bugs.debian.org (full text, mbox):

From: lfilipoz@emyr.net (Luca Filipozzi)
To: control@bugs.debian.org
Cc: Matt Taggart <taggart@carmen.fc.hp.com>, 107437@bugs.debian.org
Subject: Re: Bug#107437: doxygen won't build on hppa
Date: Sun, 5 Aug 2001 01:23:10 -0700
reassign 107437 gs

doxygen builds just fine on my i386 and on Debian's hppa (paer.d.o).
doxygen successfully creates doxygen_manual.ps on both those archs.
ps2pdf converts doxygen_manual.ps to doxygen_manual.pdf
- successfully on i386
- unsuccessfully on hppa

therefore, i don't believe this to be a problem with doxygen; rather, it
seems to be a problem with ps2pdf

On Wed, Aug 01, 2001 at 08:19:47PM -0600, Matt Taggart wrote:
> Package: doxygen
> Severity: serious
> 
> doxygen won't build on hppa. Here's what happens,
> 
> ------------------------------------------------------------------------------
> ...
> ps2pdf doxygen_manual.ps doxygen_manual.pdf
> Unrecoverable error: rangecheck in setscreen
> Operand stack:
>     --nostringval--  0  0.0
> 
> Unexpected interpreter error -15.
> Error object: (f80)op(429:setscreen)0x1d8846
> Operand stack at 0x1ae5e0:
> 0x1f13b0: 0x10 real --F------ 0x0015 0x00000000 = 0.0
> 0x1f13b8: 0x0b int  --F------ 0x01f0 0x00000000 = 0
> 0x1f13c0: 0x05 mpry --G-rxe-- 0x0013 0x00287540
> Execution stack at 0x1ae580:
> 0x1f2d18: 0x0f oper --F---e-- 0x0000 0x001d7e06 = %interp_exit
> 0x1f2d20: 0x03 file --G-rxe-- 0x0001 0x001e91a8
> 0x1f2d28: 0x05 mpry --G-rxe-- 0x0001 0x00287c7a
> 0x1f2d30: 0x05 mpry --G-rxe-- 0x0008 0x002875ea
> 0x1f2d38: 0x0e null --F---e-- 0x0000 0x001d7e0e
> 0x1f2d40: 0x0b int  --F------ 0x0000 0x00000003 = 3
> 0x1f2d48: 0x0b int  --F------ 0x0000 0x00000004 = 4
> 0x1f2d50: 0x0f oper --F---e-- 0x0000 0x001d7e16 = %oparray_pop
> 0x1f2d58: 0x05 mpry --G-rxe-- 0x0039 0x0023d222
> Dictionary stack at 0x1ae638:
> 0x1f3548: 0x02 dict --Gwrx--- 0xffff 0x001e54f0
> 0x1f3550: 0x02 dict --Gwrx--- 0x0000 0x0024c3a8
> 0x1f3558: 0x02 dict --Lwrx--- 0xe4c8 0x001ed4e8
> 0x1f3560: 0x02 dict --Gwrx--- 0xffff 0x001e54f0
> make[2]: *** [doxygen_manual.pdf] Error 241
> make[2]: Leaving directory `/extra/debian/doxygen/doxygen-1.2.8.1/debian/tmp/us
> r/share/doc/doxygen/latex'
> make[1]: *** [install_docs] Error 2
> make[1]: Leaving directory `/extra/debian/doxygen/doxygen-1.2.8.1'
> make: *** [install] Error 2
> ------------------------------------------------------------------------------
> 
> You can use the hppa machine paer.debian.org to work on this problem.
> 
> Thanks,
> 
> -- 
> Matt Taggart        Linux Development Lab
> taggart@fc.hp.com   HP Linux Systems Operation
> 
> 
> 
> 

-- 
Luca Filipozzi
[dpkg] We are the apt. Resistance is futile. You will be packaged.



Tags added: help, upstream Request was from Torsten Landschoff <torsten@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Torsten Landschoff <torsten@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Torsten Landschoff <torsten@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#107437; Package gs. Full text and rfc822 format available.

Acknowledgement sent to Andres Seco Hernandez <AndresSH@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #23 received at 107437@bugs.debian.org (full text, mbox):

From: Andres Seco Hernandez <AndresSH@debian.org>
To: 107437@bugs.debian.org
Subject: Same error building kannel at hppa
Date: Mon, 12 Nov 2001 02:09:45 +0100
[Message part 1 (text/plain, inline)]
The same occurs building kannel on hppa. fig2dev uses gs, and it fails
with unrecoverable error:

fig2dev -Lpng doc/arch/bearerbox-arch.fig doc/arch/bearerbox-arch.png
Unrecoverable error: rangecheck in setscreen
Operand stack:
    --nostringval--  0  -0.0

    Unexpected interpreter error -15.
    Error object: (f80)op(429:setscreen)0x1d8846
    Operand stack at 0x1ae5e0:
    0x1f13b0: 0x10 real --F------ 0x0015 0x80000000 = -0.0
    0x1f13b8: 0x0b int  --F------ 0x01d2 0x00000000 = 0
    0x1f13c0: 0x05 mpry --G-rxe-- 0x0013 0x00286be8
    Execution stack at 0x1ae580:
    0x1f2d18: 0x0f oper --F---e-- 0x0000 0x001d7e06 = %interp_exit
    0x1f2d20: 0x03 file --G-rxe-- 0x0001 0x001e91a8
    0x1f2d28: 0x05 mpry --G-rxe-- 0x0001 0x00287322
    0x1f2d30: 0x05 mpry --G-rxe-- 0x0008 0x00286c92
    0x1f2d38: 0x0e null --F---e-- 0x0000 0x001d7e0e
    0x1f2d40: 0x0b int  --F------ 0x0000 0x00000003 = 3
    0x1f2d48: 0x0b int  --F------ 0x0000 0x00000004 = 4
    0x1f2d50: 0x0f oper --F---e-- 0x0000 0x001d7e16 = %oparray_pop
    0x1f2d58: 0x05 mpry --G-rxe-- 0x0039 0x0023d232
    Dictionary stack at 0x1ae638:
    0x1f3548: 0x02 dict --Gwrx--- 0xffff 0x001e54f0
    0x1f3550: 0x02 dict --Gwrx--- 0x0000 0x0024bc88
    0x1f3558: 0x02 dict --Lwrx--- 0xe4c8 0x001ed4e8
    0x1f3560: 0x02 dict --Gwrx--- 0xffff 0x001e54f0
    fig2dev: broken pipe (GhostScript aborted?)
    command was: gs -q -dSAFER -sDEVICE=png16m -r80 -g480x534
    -sOutputFile=doc/arch/bearerbox-arch.png -
    make[1]: *** [doc/arch/bearerbox-arch.png] Error 1
    make[1]: Leaving directory `/build/buildd/kannel-1.1.5'
    make: *** [build] Error 2

-- 
Andres Seco Hernandez - http://andressh.alamin.org
AndresSH@alamin.org     -      AndresSH@debian.org
GnuPG public information:      pub  1024D/3A48C934
E61C 08A9 EBC8 12E4 F363  E359 EDAC BE0B 3A48 C934
--------------------------------------------------
Alamin GSM SMS Gateway   -   http://www.alamin.org
Debian GNU/Linux         -   http://www.debian.org
Grupo de Usuarios de GNU/Linux  de  Guadalajara  y
alrededores      -      http://www.gulalcarria.org
RedLibre         -         http://www.redlibre.net
--------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `gs' to `binutils'. Request was from Torsten Landschoff <torsten@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Torsten Landschoff <torsten@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 107437 128847. Request was from Torsten Landschoff <torsten@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Christopher C. Chimelis" <chris@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #32 received at 128847-forwarded@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: bug-binutils@gnu.org
Cc: 128847-forwarded@bugs.debian.org, 128847-submitter@bugs.debian.org
Subject: hppa float linkage problems
Date: Wed, 20 Feb 2002 10:27:08 -0500 (EST)
[Forwarded Bug text from Debian]


When trying to get Ghostscript running on pa-risc it build but always
failed. The reason seemed to be that gcc generates bad code but I was
told that the code is indeed correct and the problem lies in the linker.

My test case is the following code, which runs fine on my i386 machine
but not on sarti.debian.org (which is pa-risc):

======
#include <stdio.h>
void    out(const char *str, double x)
{
        printf("%s: %f\n", str, x);
}
int     main(int argc, char **argv)
{
        void    (*f)(const char *, double) = out;
        f("Calling via function pointer", 3.1415926535);
        out("Calling directly", 3.1415926535);
        return 0;
}
======

This is what happens:

======
torsten@sarti:~/gccbug$ gcc realind.c -o realind
torsten@sarti:~/gccbug$ ./realind
Calling via function pointer: 0.000000
Calling directly: 3.141593
======

I am still learning about the pa-risc architecture but according to
this quote this is an assembler/linker problem:

| From: "John David Anglin" <dave@hiauly1.hia.nrc.ca>
|
| The ABI specifies that arguments are passed
| in general registers in dynamic calls.  This is most likely a linker
| problem.
| The linker has to create the correct stub to copy the argument to a
| floating
| register.  The test runs as expected with HP's som linker.  With the HP
| assembler, gcc passes floats in both general and floating registers
| because
| there is no way to specifiy argument locations in static
| functions.  With
| GAS, gcc uses .PARAM to specify argument locations in static functions.

And, BTW: The web interface for subscription to bug-binutils does not
work, because binutils and bug-binutils are on different servers. The
web interface tries to subscribe me via redhat.com...





Severity set to `fixed'. Request was from Randolph Chung <tausq@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `fixed'. Request was from Randolph Chung <tausq@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to "Christopher C. Chimelis" <chris@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matt Taggart <taggart@carmen.fc.hp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 107437-done@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: 107437-done@bugs.debian.org
Cc: 128847-done@bugs.debian.org
Subject: Closing bugs...this is fixed in gcc as well...
Date: Wed, 13 Mar 2002 09:02:01 -0500 (EST)
As you probably know, this was fixed with bug#136731 :-)

C




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:15:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.